/*-
 * ============LICENSE_START=======================================================
 *  Copyright (C) 2021 Nokia.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 * ============LICENSE_END=========================================================
 */

package org.onap.dcaegen2.services.pmmapper.utils;

import java.time.Duration;

final class SendersConfig {

    private SendersConfig() {
        throw new IllegalStateException("SendersConfig class;shouldn't be constructed");
    }

    static final int MAX_RETRIES = 4;
    static final Duration RETRY_INTERVAL = Duration.ofSeconds(1);
    static final Duration READ_TIMEOUT = Duration.ofSeconds(5);
}
